Skip to main content
GET
/
v1
/
warm-pools
/
{configId}
/
workspaces
List Warm Pool Workspaces
curl --request GET \
  --url https://api.tryreplicas.com/v1/warm-pools/{configId}/workspaces \
  --header 'Authorization: Bearer <token>'
{
  "workspaces": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "warm_pool_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sandbox_id": "<string>",
      "status": "warming",
      "error_message": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.replicas.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Path Parameters

configId
string<uuid>
required

Warm pool config UUID (from the warm_pool.id returned by GET /v1/environments/{environmentId}/warm-hooks or PUT /v1/environments/{environmentId}/warm-pools).

Response

Successful response

workspaces
object[]
required